package soln;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;
import helper.Helper;

/**
 * Name: Last Name, First Name
 * 
 * Student Number: xxxxxxxxx
 * 
 * Declaration: I hereby assert that this application was written by me. I
 * understand that it is a violation of the Senate Policy on Academic Honesty
 * for me to submit someone else's work without identifying it as such and that
 * this is a form of cheating. I also understand that if it is discovered that I
 * have committed a breach of Academic Honesty for cheating or any other charge,
 * then the full extent of available penalties may be brought against me.
 * 
 */
public class Check11W {

	public static void main(String[] args) throws FileNotFoundException {

		// Step 1n.
		// There is a file called mysteryMessage. We need to decipher the
		// message within the file
		// We can decipher the message by reading the file with Scanner.
		// Unfortunately the file contains both strings and integer numbers.
		// We want to do two things:
		// 1) we want to sum up the total value of all the numbers in the file
		// 2) we want to decipher the message by concatenating all the strings
		// in the file together.

		// Write a loop that reads the file
		// Create an int variable called count
		// Create a String variable called message
		// Read the file line-by-line.
		// To do this we can use the Scanner method called nextLine()

		// Test whether the line corresponds to a number.
		// To do this, use the static helper method in the class Helper as
		// follows:
		// public static boolean isNumber(String string)
		// This method returns a true if the string is a integer number
		// and false it is not.
		// If it is a number, convert it an int value using the Integer static
		// method parseInt
		// after that, add the value to the variable called count

		// If the line does not correspond to a number, concatenate it to the
		// variable called message

		// when the loop finishes print the resulting message followed by ":"
		// followed by the value of count.

		File file = new File("mysteryMessage");
		Scanner inputFile = new Scanner(file);
		int count = 0;
		String message = "";
		for (; inputFile.hasNext();) {
			String text = inputFile.nextLine();
			if (Helper.isNumber(text)) {
				count = count + Integer.parseInt(text);

			} else {
				message = message + text;
			}
		}
		System.out.println(message + ": " + count);

	}
}
