import java.io.File;
import java.io.FileNotFoundException;
import java.io.PrintStream;
import java.util.Scanner;
import helper.PiggyBank;

/**
 * Name: Last Name, First Name
 * 
 * Student Number: xxxxxxxxx
 * 
 * Declaration: I hereby assert that this application was written by me. I
 * understand that it is a violation of the Senate Policy on Academic Honesty
 * for me to submit someone else's work without identifying it as such and that
 * this is a form of cheating. I also understand that if it is discovered that I
 * have committed a breach of Academic Honesty for cheating or any other charge,
 * then the full extent of available penalties may be brought against me.
 * 
 */
public class Check11U {

	public static void main(String[] args) throws FileNotFoundException {

		// Step 1a. Create a PiggyBank object called
		// piggyBank.
		// public PiggyBank()
		// Use the default constructor in the PiggyBank API.
		// To find the PiggyBank API, open the index.html file that is
		// found in
		// this project under the package called doc. Please note the
		// PiggyBank
		// API has changed since previous use.
		PiggyBank piggyBank = new PiggyBank();

		// Step 1b. Create a File object called file.
		// public File(String filename)
		// Set the filename to be "quarters". This file already exists in the labtest
		// directory and we want to be able to read from it.
		// Refer to section 5.3.2 (Page 200 2ed and Page 199 3ed)

		// Step 1c. Create a Scanner object called inputFile.
		// public Scanner(File file)
		// Set the file a parameter to the file created in the step above.
		// Refer to section 5.3.2 (Page 200 2ed and Page 199 3ed)

		// Step 1d. Create a new int variable called quarters and set it to 0.

		// Step 1e. The file "quarters" lists a set of integer values.
		// Use the Scanner inputFile to read the values from the
		// file and add all the values to quarters. At the end of reading the
		// file, the value of quarters should be the sum of the integers in the
		// file.
		// Refer to section 5.2.3 (Page 200 2ed and Page 199 3ed)

		// Step 1f. Look at the PiggyBank API for the method
		// called addAQuarter().
		// Create a for loop that will add a quarter, one at a time, until
		// all all quarters specified by the variable quarters have been added
		// to the piggyBank.
		// For reference look at page
		// section 5.2.3 (Page 192 2ed and Page 191
		// 3ed)

		// Step 1g. We will no longer be using input from the file quarters.
		// Use the method close on the Scanner inputFile to close access
		// to the file.
		// Refer to section 5.3.2 (Page 200 2ed and Page 199 3ed)

		// Step 1h. We would now like to store some information about the
		// piggy bank in a file called "results".
		// Create a new File object
		// public File(String fileName)
		// The filename should be the string "results".
		// Note: When you run this app for the first time, the file "results" may not appear.  
		// To fix this, select the project (click once to turn it blue), then press
		// F5 or File->Refresh


		// Step 1i. In order to write to the file we have create a PrintStream.
		// public PrintStream(File file)
		// The PrintStream names output and you should supply the file
		// in step h to it.
		// Refer to section 5.3.2 (Page 200 2ed and Page 199 3ed)
		// Step 1j. PrintStream has a method called println that works just like
		// the println method of System.out
		// Use the method to write the title of the file
		// The title of the file is "Contents of Piggy Bank:"

		// Step 1k. The PiggyBank class has the following methods
		// public double getValueOfAQuarter()
		// public int getQuarters()
		// public double getTotalValueOfPiggyBank()
		// Read the API to get familiar with these methods.
		// Write the following messages to the file results
		// "The value of a quarter is " followed by the value of a quarter followed by the string " cents".
		// "There are " followed by the number of quarters in the piggy bank
		// followed by the string "quarters in the piggy bank".
		// And
		// "The total value of the piggy bank is " followed by the total
		// value of the Piggy Bank followed by cents.

		// Step 1l. We will no longer be writing to the file results.
		// Use the method close on the PrintStream outputFile to close access
		// to the file.

		// Note: If you run this app repeatedly, the file "results" will be
		// rewritten and Eclipse will deem the file "out of sync"
		// To fix this, select the file (click once to turn it blue), then press
		// F5 or File->Refresh

		// Step 1m. Answer the written comprehension question that is found in
		// the file Check10V.txt. It is listed in this project as the last
		// entry as "Check10V".

		// Step 1n. Complete Check11W.java
	}
}
